DCMTK: DcmTLSECFailedToLoadPrivateKeyConst Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmTLSECFailedToLoadPrivateKeyConst Struct Reference

A struct for creating a failed to load private key error condition. More...

Inheritance diagram for DcmTLSECFailedToLoadPrivateKeyConst:

## Public Member Functions
| DcmTLSECFailedToLoadPrivateKeyConst ()
| Constructor, initializes the OFConditionConst base.
OFCondition | operator() (const char *privateKeyFile) const
| Create a specialized failed to load private key error condition that refers to the file name of the private key that failed to load.
Public Member Functions inherited from OFConditionConst
OFBool | operator== (const OFConditionConst &arg) const
| comparison operator.
OFBool | operator!= (const OFConditionConst &arg) const
| comparison operator.

## Additional Inherited Members
Public Attributes inherited from OFConditionConst
unsigned short | theModule
| module identifier. 0 is reserved for global codes.
unsigned short | theCode
| status code that is unique for each module
OFStatus | theStatus
| condition status enum
const char * | theText
| error text

## Detailed Description

A struct for creating a failed to load private key error condition.

## Constructor & Destructor Documentation

## ◆ DcmTLSECFailedToLoadPrivateKeyConst()

DcmTLSECFailedToLoadPrivateKeyConst::DcmTLSECFailedToLoadPrivateKeyConst | ( |  | ) |

Constructor, initializes the OFConditionConst base.

Don't use this if you don't have a very good reason.

## Member Function Documentation

## ◆ operator()()

OFCondition DcmTLSECFailedToLoadPrivateKeyConst::operator() | ( | const char * | privateKeyFile | ) | const

Create a specialized failed to load private key error condition that refers to the file name of the private key that failed to load.

Parameters

  privateKeyFile | the file name of the private key file.

Returns
  an OFCondition that compares equal to DCMTLS_EC_FailedToLoadPrivateKey but also refers to the file name of the private key in its descriptive text.

The documentation for this struct was generated from the following file:

- dcmtls/include/dcmtk/dcmtls/tlscond.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2